---
title: "QMC=Chem"
date: 2020-07-09T17:50:54+02:00
draft: false
---

Web page: http://qmcchem.ups-tlse.fr

QMC=Chem is a massively parallel quantum Monte Carlo program, developed using [IRPF90](https://www.lcpq.ups-tlse.fr/codes/irpf90/), [EZFIO](https://www.lcpq.ups-tlse.fr/codes/ezfio/). Parallelism is handled in OCaml, and network communications are performed with the [ØMQ](https://zeromq.org/) library, with the [F77_ZMQ](https://www.lcpq.ups-tlse.fr/codes/f77_zmq/) binding.

## Features
 - Asynchronous design. Tested with up to 76 800 cores (4 800 nodes)
 - Fault tolerance
 - Very low memory footprint/core
 - Highly Optimized for Intel processors (AVX and AVX2)
 - Can handle ~100 000 Slater determinants
 - Works with Xeon Phi

## People involved
 - Thomas Applencourt
 - Thomas Bouabça
 - Michel Caffarel
 - Emmanuel Giner
 - Angélique Pagès
 - Benjamin Sánchez Lengeling
 - Anthony Scemama

## Related Papers
[QMC=Chem: A Quantum Monte Carlo Program for Large-Scale Simulations in Chemistry at the Petascale Level and beyond](http://link.springer.com/chapter/10.1007%2F978-3-642-38718-0_14)

A. Scemama, M. Caffarel, E. Oseret and W. Jalby, High Performance Computing for Computational Science - VECPAR 2012, pages 118-127, Springer Berlin Heidelberg, 2013

[Quantum Monte Carlo for large chemical systems: Implementing efficient strategies for petascale platforms and beyond](http://onlinelibrary.wiley.com/doi/10.1002/jcc.23216)

A. Scemama, M. Caffarel, E. Oseret and W. Jalby, Journal of Computational Chemistry, 34:11(938--951), 2013

